CREATE OR REPLACE VIEW public.vw_utility_dropshipped_lots AS
 SELECT fm."intCompanyId",
    fm."intPurchaseLineId",
    fm."intShipmentId",
    fm."intLotId",
    fm."dblQuantity",
    fm."strUnit",
    fm."dblQuantityKg"
   FROM ((vw_utility_stock_movements fm
     JOIN vw_utility_shipment_in ds ON ((fm."intShipmentId" = ds."intShipmentId")))
     JOIN vw_utility_location dl ON ((fm."intToLocationId" = dl."intLocationId")))
  WHERE ((1 = 1) AND (fm."intLotId" > 0) AND ((ds."strToLocationType")::text <> 'storage'::text) AND ((dl."strLocationType")::text <> 'storage'::text) AND ((fm."strState")::text = 'done'::text));;
